<template>
    <div>
      <BaseDialog
        width="900px"
        :isShow.sync="isRemarkDialog"
        title="备注"
        @close="close"
        @submit="submitForm"
        :appendToBody="true"
        :confirmStatus="false"
      >
        <div class="content">
            <el-input
                type="textarea"
                :rows="8"   
                v-model="ruleForm[remarksKey]"
                placeholder="输入备注"
            ></el-input>
        </div>
      </BaseDialog>
    </div>
  </template>
  
  <script>
  
  export default {
    data() {
      return {
        ruleForm: {},
        remarksKey: 'remarks',
        isRemarkDialog: false,
      };
    },
  
    mounted() {},
  
    methods: {
      openBoxs(row, key) {
        this.isRemarkDialog = true
        this.remarksKey = key || 'remarks' // 保存的备注key值
        this.ruleForm = row
      },
      close() {},
      submitForm() {
        this.$emit('handle-remark', this.ruleForm)
        this.isRemarkDialog = false
      },
    },
  };
</script>
  
<style lang="scss" scoped>

</style>
  